Module | Haml::Filters
In: | lib/haml/filters.rb

The module containing the default Haml filters, as well as the base module, {Haml::Filters::Base}.

@see Haml::Filters::Base

### Methods

defined

### Classes and Modules

Module Haml::Filters::Base
Module Haml::Filters::Cdata
Module Haml::Filters::Css
Module Haml::Filters::ERB
Module Haml::Filters::Escaped
Module Haml::Filters::Javascript
Module Haml::Filters::Markdown
Module Haml::Filters::Maruku
Module Haml::Filters::Plain
Module Haml::Filters::Preserve
Module Haml::Filters::Ruby
Module Haml::Filters::Sass
Module Haml::Filters::Textile

### Constants

RedCloth | = | Textile |  | An alias for the Textile filter, since the only available Textile parser is RedCloth. @api public

### Public Class methods

defined()

@return [{String => Haml::Filters::Base}] a hash of filter names to classes

[Source]

        # File lib/haml/filters.rb, line 8
     8:     def self.defined
     9:       @defined ||= {}
    10:     end

[Validate]